<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />


    <TextView
        android:id="@+id/question_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:lineSpacingExtra="6dp"
        android:paddingLeft="20dp"
        android:paddingTop="20dp"
        android:paddingRight="10dp"
        android:paddingBottom="12dp"
        android:textColor="@color/text_title"
        android:textSize="16sp"
        android:textStyle="bold"
        tools:text="快递公司全面复工:三通一达等均已全网恢复正常运营" />

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/app_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:gravity="center"
            app:layout_behavior=".common.view.FixAppBarLayoutBehavior">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_scrollFlags="scroll|enterAlwaysCollapsed">

                <com.gh.gamecenter.common.view.ExpandAndCloseTextView
                    android:id="@+id/question_des"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="12dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="8dp"
                    android:includeFontPadding="false"
                    android:lineSpacingExtra="4dp"
                    android:textColor="@color/text_subtitle"
                    android:textSize="14sp"
                    tools:text="国家邮政局召开部分快递企业专题电话会议。国家邮政局局党组书记、局长马军胜主持召开专题电话会议，向中通、圆通、申通、韵达、百世" />

                <LinearLayout
                    android:id="@+id/question_images_container"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="16dp">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/question_images_1"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            app:roundedCornerRadius="3dp" />

                        <ImageView
                            android:id="@+id/video_play"
                            android:layout_width="36dp"
                            android:layout_height="36dp"
                            android:layout_centerInParent="true"
                            android:src="@drawable/community_video_play_icon"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/video_status"
                            android:layout_width="match_parent"
                            android:layout_height="24dp"
                            android:layout_alignParentBottom="true"
                            android:background="@drawable/question_video_status_gradient"
                            android:gravity="center"
                            android:text="继续上传"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/video_duration"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_alignParentBottom="true"
                            android:layout_marginRight="4dp"
                            android:layout_marginBottom="4dp"
                            android:includeFontPadding="false"
                            android:paddingLeft="6dp"
                            android:paddingTop="3dp"
                            android:paddingRight="6dp"
                            android:paddingBottom="3dp"
                            android:textColor="@color/white"
                            android:textSize="10sp"
                            android:visibility="gone" />

                    </RelativeLayout>

                    <com.facebook.drawee.view.SimpleDraweeView
                        android:id="@+id/question_images_2"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="4dp"
                        android:layout_weight="1"
                        app:roundedCornerRadius="3dp" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="4dp"
                        android:layout_weight="1">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/question_images_3"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            app:roundedCornerRadius="3dp" />

                        <View
                            android:id="@+id/question_images_3_mask"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="#80000000"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/question_images_3_desc"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:textColor="@color/all_white"
                            android:textSize="22sp"
                            android:visibility="gone" />

                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>
        </com.google.android.material.appbar.AppBarLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <View
                android:id="@+id/answer_edit_line2"
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="@color/divider" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

                <com.gh.common.view.NestedScrollRichEditor
                    android:id="@+id/rich_editor"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <TextView
                    android:id="@+id/answer_placeholder"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingTop="15dp"
                    android:text="@string/answer_placeholder"
                    android:textColor="@color/hint" />

            </RelativeLayout>
        </LinearLayout>
    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <TextView
        android:id="@+id/editorTextNumTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:layout_marginBottom="8dp"
        android:gravity="end"
        android:text="0"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="12sp" />

    <View
        android:id="@+id/answer_edit_line3"
        android:layout_width="match_parent"
        android:layout_height="@dimen/cutting_line"
        android:background="@color/cutting_line" />

    <include layout="@layout/editor_insert_container" />

</LinearLayout>
